9200: Get document

9200: Get document

Retrieves document for an account.

Endpoint ID:

9200

Method:

GET

URL:

/entity/id/{entityID}/documents/{documentID}

/entity/ext-key/{externalRelationID}/{externalRelationType}/documents/{documentID}



entityID

Rubiq entity ID that uniquely identifies an account to return data for



externalRelationID

External key that uniquely identifies an account to return data for



externalRelationType

Type of external key



documentID

The ID of the document to be retrieved

Request body:

None



Response body:

JSON data with properties corresponding to the document.

Please note that fields with null value is not returned by this end point.

Example Response
{ "content": "base64 encoded text", "compressed": false, "createdBy": "mailbox@mailserver.com", "createdDate": "01-01-2016T12:00:00", "description": "Description of the document", "documentID": 1, "expiryDate": "31-12-2016T23:59:59", "mimeType": "image", "name": "Test Document", "sizeCompressed": 500, "sizeOriginal": 1500, "updatedBy": "mailbox@mailserver.com", "updatedDate": "01-03-2016T12:00:00" }

Status codes:

200

Document found with success



404

Account/document was not found

The following sub codes may be returned:

404.1

User not found

404.2

External user could not be found